song = playSound("song.ogg", true)

bindKey("m", "down",
function ()
        setSoundPaused(song, not isSoundPaused(song))
end
)

function ClientStarted ()
	txd = engineLoadTXD ( "streakc.txd" )
	engineImportTXD ( txd, 405 )
	dff = engineLoadDFF ( "streakc.dff", 405 )
	engineReplaceModel ( dff, 405 )
end 


addEventHandler( "onClientResourceStart", getResourceRootElement(getThisResource()), ClientStarted )



function replaceTXD() 

txd1 = engineLoadTXD("metalbarrier.txd")
  engineImportTXD(txd1, 979)

txd2 = engineLoadTXD("cuntwf.txd")
  engineImportTXD(txd2, 17050)

txd3 = engineLoadTXD("des_boneyard.txd")
  engineImportTXD(txd3, 16098)

txd4 = engineLoadTXD("vgsdwntwn2.txd")
  engineImportTXD(txd4, 8555)

txd5 = engineLoadTXD("law_coffintu.txd")
  engineImportTXD(txd5, 2898)

txd6 = engineLoadTXD("vegashsetx.txd")
  engineImportTXD(txd6, 9131)

txd7 = engineLoadTXD("kickstart.txd")
  engineImportTXD(txd7, 13646)

txd8 = engineLoadTXD("Modki/glenpark6_lae.txd")
  engineImportTXD(txd8, 5644)

end
addEventHandler ( "onClientResourceStart", getResourceRootElement(getThisResource()), replaceTXD)

function ClientStarted2 ()

txdT = engineLoadTXD ( "gta_tree_boak.txd" )
engineImportTXD ( txdT, 669 )
dffT = engineLoadDFF ( "sm_veg_tree4.dff", 669 )
engineReplaceModel ( dffT, 669 )
end 


addEventHandler( "onClientResourceStart", getResourceRootElement(getThisResource()), ClientStarted2 )

---------------------------------------- draw ----------------------------------------------

engineSetModelLODDistance(2232, 500)
engineSetModelLODDistance(2229, 500)
engineSetModelLODDistance(3583, 500)
engineSetModelLODDistance(801, 500)
engineSetModelLODDistance(3595, 500)
engineSetModelLODDistance(3596, 500)
engineSetModelLODDistance(17534, 500)
engineSetModelLODDistance(676, 500)
engineSetModelLODDistance(934, 500)
engineSetModelLODDistance(16641, 500)
engineSetModelLODDistance(1432, 500)
engineSetModelLODDistance(11092, 500)
engineSetModelLODDistance(1281, 500)
engineSetModelLODDistance(1231, 500)
engineSetModelLODDistance(3618, 500)
engineSetModelLODDistance(759, 500)
engineSetModelLODDistance(3619, 500)
engineSetModelLODDistance(17700, 500)
engineSetModelLODDistance(2348, 500)
engineSetModelLODDistance(17894, 500)
engineSetModelLODDistance(17529, 500)
engineSetModelLODDistance(17635, 500)
engineSetModelLODDistance(17526, 500)
engineSetModelLODDistance(2988, 500)
engineSetModelLODDistance(1217, 200)
engineSetModelLODDistance(8555, 2500)
engineSetModelLODDistance(9931, 500)
engineSetModelLODDistance(3887, 500)
engineSetModelLODDistance(3528, 500)
engineSetModelLODDistance(2774, 500)
engineSetModelLODDistance(16098, 500)
engineSetModelLODDistance(13746, 500)
engineSetModelLODDistance(2898, 500)
engineSetModelLODDistance(3440, 500)
engineSetModelLODDistance(2960, 500)
engineSetModelLODDistance(1232, 500)
engineSetModelLODDistance(1368, 500)
engineSetModelLODDistance(994, 500)
engineSetModelLODDistance(9908, 500)
engineSetModelLODDistance(5110, 500)
engineSetModelLODDistance(9915, 500)
engineSetModelLODDistance(5787, 500)
engineSetModelLODDistance(3998, 500)
engineSetModelLODDistance(943, 500)
engineSetModelLODDistance(6150, 500)
engineSetModelLODDistance(14397, 500)
engineSetModelLODDistance(1661, 500)
engineSetModelLODDistance(18049, 500)
engineSetModelLODDistance(6340, 500)
engineSetModelLODDistance(1649, 500)
engineSetModelLODDistance(802, 500)
engineSetModelLODDistance(5244, 500)
engineSetModelLODDistance(3568, 500)
engineSetModelLODDistance(9244, 500)
engineSetModelLODDistance(8544, 500)
engineSetModelLODDistance(10775, 500)
engineSetModelLODDistance(3439, 500)
engineSetModelLODDistance(6907, 500)
engineSetModelLODDistance(3677, 500)
engineSetModelLODDistance(5520, 500)
engineSetModelLODDistance(9494, 500)
engineSetModelLODDistance(5769, 500)
engineSetModelLODDistance(6151, 500)
engineSetModelLODDistance(11293, 500)
engineSetModelLODDistance(1431, 500)
engineSetModelLODDistance(3722, 500)
engineSetModelLODDistance(6186, 500)
engineSetModelLODDistance(13008, 500)
engineSetModelLODDistance(5781, 500)
engineSetModelLODDistance(1653, 500)
engineSetModelLODDistance(6908, 500)
engineSetModelLODDistance(629, 500)
engineSetModelLODDistance(6522, 500)
engineSetModelLODDistance(6283, 500)
engineSetModelLODDistance(17552, 500)
engineSetModelLODDistance(17545, 500)
engineSetModelLODDistance(3661, 500)
engineSetModelLODDistance(3241, 500)
engineSetModelLODDistance(5399, 500)
engineSetModelLODDistance(3851, 500)
engineSetModelLODDistance(3461, 500)
engineSetModelLODDistance(13654, 1500)
engineSetModelLODDistance(16693, 1500)
engineSetModelLODDistance(865, 500)
engineSetModelLODDistance(866, 500)
engineSetModelLODDistance(692, 500)
engineSetModelLODDistance(761, 500)
engineSetModelLODDistance(650, 500)
engineSetModelLODDistance(651, 500)
engineSetModelLODDistance(4100, 500)
engineSetModelLODDistance(815, 500)
engineSetModelLODDistance(16050, 500)
engineSetModelLODDistance(2244, 150)
engineSetModelLODDistance(876, 150)
engineSetModelLODDistance(874, 150)
engineSetModelLODDistance(873, 150)
engineSetModelLODDistance(872, 150)
engineSetModelLODDistance(875, 150)
engineSetModelLODDistance(869, 150)
engineSetModelLODDistance(879, 150)
engineSetModelLODDistance(839, 150)
engineSetModelLODDistance(844, 150)
engineSetModelLODDistance(838, 150)
engineSetModelLODDistance(831, 150)
engineSetModelLODDistance(16644, 500)
engineSetModelLODDistance(7012, 200)
engineSetModelLODDistance(3573, 200)
engineSetModelLODDistance(3575, 200)
engineSetModelLODDistance(5342, 200)
engineSetModelLODDistance(640, 250)
engineSetModelLODDistance(1388, 400)
engineSetModelLODDistance(1391, 400)
engineSetModelLODDistance(3257, 250)
engineSetModelLODDistance(3673, 250)
engineSetModelLODDistance(3258, 250)
engineSetModelLODDistance(7836, 250)
engineSetModelLODDistance(6934, 300)
engineSetModelLODDistance(6933, 300)
engineSetModelLODDistance(6928, 250)
engineSetModelLODDistance(12861, 250)
engineSetModelLODDistance(12859, 250)